<#--更新列语句-->
<#-- 输入参数 -->
<#--oldColumn 旧列对象 属性参考CORE_TABLES_COLUMN -->
<#--newColumn 新列对象 属性参考CORE_TABLES_COLUMN -->
<#--table 表对象 属性参考CORE_TABLE -->
<#--dataTypes 数据类型map-->

<#import 'GetDataType.ftl' as gdt/>
<#if table.MX_ZHUJZD==oldColumn.MXZD_BIANH>
IF EXISTS (
	SELECT
	1
	FROM
		sys.indexes idx
		JOIN sys.index_columns idxCol
		  ON (idx.object_id = idxCol.object_id
			  AND idx.index_id = idxCol.index_id
			  AND idx.is_primary_key = 1)
		JOIN sys.tables tab
		  ON (idx.object_id = tab.object_id)
		JOIN sys.columns col
		  ON (idx.object_id = col.object_id
			  AND idxCol.column_id = col.column_id)
	WHERE UPPER(tab.name) = UPPER('${table.MX_BIANH}') AND UPPER(idx.name) = UPPER('PK_${table.MX_BIANH}')
)
ALTER TABLE ${table.MX_BIANH} DROP CONSTRAINT PK_${table.MX_BIANH};
</#if>
<#if oldColumn.MXZD_BIANH != newColumn.MXZD_BIANH>
EXECUTE SP_RENAME '${table.MX_BIANH}.${oldColumn.MXZD_BIANH}','${newColumn.MXZD_BIANH}','COLUMN';
</#if>
ALTER TABLE ${table.MX_BIANH} ALTER COLUMN ${newColumn.MXZD_BIANH} <@gdt.getColumnType dataTypes=dataTypes column=newColumn/>;
<#if table.MX_ZHUJZD==oldColumn.MXZD_BIANH>
ALTER TABLE ${table.MX_BIANH} ADD CONSTRAINT PK_${table.MX_BIANH} PRIMARY KEY (${newColumn.MXZD_BIANH});
</#if>

<#if newcolumn.MXZD_MINGC?default("")?trim?length gt 1>
IF NOT EXISTS (SELECT NULL FROM SYS.EXTENDED_PROPERTIES WHERE [major_id] = OBJECT_ID('${table.MX_BIANH}') AND [name] = N'MS_Description' AND [minor_id] = (SELECT [column_id] FROM SYS.COLUMNS WHERE [name] = '${newColumn.MXZD_BIANH}' AND [object_id] = OBJECT_ID('${table.MX_BIANH}')))
	EXECUTE sp_addextendedproperty  N'MS_Description', '${newColumn.MXZD_MINGC}', N'user', N'dbo', N'table', N'${table.MX_BIANH}', N'column', N'${newColumn.MXZD_BIANH}'
ELSE
	EXECUTE sp_updateextendedproperty   N'MS_Description', '${newColumn.MXZD_MINGC}', N'user', N'dbo', N'table', N'${table.MX_BIANH}', N'column', N'${newColumn.MXZD_BIANH}'
</#if>